package com.jeeplus.test.materialManagement.wareHouse.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.jeeplus.core.query.QueryWrapperGenerator;
import com.jeeplus.sys.utils.StringUtils;
import com.jeeplus.test.materialManagement.wareHouse.mapper.WareHouseBasicMapper;
import com.jeeplus.test.materialManagement.wareHouse.service.dto.WareHouseDto;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;

/**
 * @author: 王强
 * @create: 2022-12-29 14:19
 **/
@Service
@Transactional
public class WareHouseBasicService {

    @Resource
    private WareHouseBasicMapper basicMapper;

    /**
     * 列表查询
     */
    public IPage<WareHouseDto> list(Page<WareHouseDto> page , WareHouseDto dto) throws Exception{
        QueryWrapper<WareHouseDto> queryWrapper = QueryWrapperGenerator.buildQueryCondition(dto, WareHouseDto.class);

        queryWrapper.eq("a.del_flag", "0");
        if (StringUtils.isNotEmpty(dto.getWareHouseNumber())) {
            queryWrapper.like("a.ware_house_number", dto.getWareHouseNumber());
        }
        if (StringUtils.isNotEmpty(dto.getWareHouseName())) {
            queryWrapper.like("a.ware_house_name", dto.getWareHouseName());
        }
        if (StringUtils.isNotEmpty(dto.getHandledBy())) {
            queryWrapper.like("a.handled_by", dto.getHandledBy());
        }
        if (StringUtils.isNotEmpty(dto.getHandledByOffice())) {
            queryWrapper.like("a.handled_by_office", dto.getHandledByOffice());
        }
        // 入库时间
        String[] contractDates = dto.getWareHouseDates();
        if (contractDates != null) {

            queryWrapper.between("a.ware_house_date", contractDates[0], contractDates[1]);
        }

        return basicMapper.findList(page, queryWrapper);
    }
}
