package com.jeeplus.test.materialManagement.wareHouse.service.dto;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.jeeplus.test.materialManagement.wareHouse.domain.WareHouseDetailed;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author: 王强
 * @create: 2022-12-29 16:37
 **/
@Data
public class WareHouseDto {

    /**
     * 入库基础表id
     */
    private String basicId;

    /**
     * 入库人
     */
    private String wareHouseMan;

    /**
     * 入库人部门
     */
    private String wareHouseManOffice;

    /**
     * 入库类型
     */
    private String wareHouseType;

    /**
     * 商品名称
     */
    private String tradeName;

    /**
     * 商品单价
     */
    private String tradePrice;

    /**
     * 商品数量
     */
    private String tradeNumber;

    /**
     * 单位
     */
    private String company;

    /**
     * 商品总价
     */
    private String tradeTotalPrice;

    /**
     * 入库编号
     */
    private String wareHouseNumber;

    /**
     * 入库名称
     */
    private String wareHouseName;

    /**
     * 入库时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date wareHouseDare;

    /**
     * 采购编号
     */
    private String purchaseNo;

    /**
     * 入库明细数据
     */
    @TableField(exist = false)
    List<WareHouseDetailed> detailInfos;

    /**
     * 经办人
     */
    private String handledBy;

    /**
     * 经办人部门
     */
    private String handledByOffice;

    /**
     * 入库时间
     */
    @TableField(exist = false)
    private String[] wareHouseDates;
}
